version: '2'
services:
    core_data_e1-app:
        image: core_data_e1
        environment:
            - SPRING_PROFILES_ACTIVE=prod,swagger
            - SPRING_DATASOURCE_URL=jdbc:postgresql://core_data_e1-postgresql:5432/core_data_e1
            - JHIPSTER_SLEEP=10 # gives time for the database to boot before the application
        ports:
            - 8080:8080
    core_data_e1-postgresql:
        extends:
            file: postgresql.yml
            service: core_data_e1-postgresql
